Bug 1830870 - Review Request: wdisplays - GUI display configurator for wlroots compositors
Summary: Review Request: wdisplays - GUI display configurator for wlroots compositors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lyes Saadi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-04 07:38 UTC by Bob Hepple
Modified: 2020-05-15 03:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 02:35:57 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-05-04 07:38:10 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01366107-wdisplays/wdisplays.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01366107-wdisplays/wdisplays-0.9-0.1.20200504git.0faafdc.fc31.src.rpm
Description: 

wdisplays is a graphical application for configuring displays in
Wayland compositors. It borrows some code from kanshi. It should work
in any compositor that implements the
wlr-output-management-unstable-v1 protocol, including sway. The goal
of this project is to allow precise adjustment of display settings in
kiosks, digital signage, and other elaborate multi-monitor setups.

Fedora Account System Username: wef

Comment 1 Lyes Saadi 2020-05-04 20:29:29 UTC
Hi!

> Requires: pkgconfig(wlroots) >= 0.7

This is not needed, the package should work with any Wayland compositor according to upstream. And that will require wlroots-devel. If you just want to make sure that the user's wlroots version will be superior to 0.7.0, use Conflicts instead:

> Conflicts: wlroots < 0.7.0

This is an acceptable usage of conflicts, see: https://docs.fedoraproject.org/en-US/packaging-guidelines/Conflicts/#_optional_functionality

Comment 2 Bob Hepple 2020-05-04 23:21:37 UTC
Thanks Lyes!

I also removed the . in the release number after 'git' on re-reading the guidelines.

And I added -q to %setup to stop rpmlint complaining.

Here's the new build:

SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01367015-wdisplays/wdisplays.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01367015-wdisplays/wdisplays-0.9-0.2.20200504git0faafdc.fc31.src.rpm

Comment 3 Lyes Saadi 2020-05-05 03:32:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Remove the .fc31 and .fc31.wef from the release.
- Add hicolor-icon-theme dependency.
- Use desktop-file-install to modify the spec file. This is, to my own
  surprise, a MUST item. This should work:
  desktop-file-install --remove-key=Version \
      --set-icon=wdisplays \
      --set-key=Terminal --set-value=false \
      --add-category=Settings --add-category=HardwareSettings \
      --dir=%{buildroot}/%{_datadir}/applications \
      %{_target_platform}/resources/com.github.cyclopsian.%{name}.desktop
  
  « desktop-file-install MUST be used if the package does not install the
  file or there are changes desired to the .desktop file (such as
  add/removing categories, etc). »

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated", "NTP License (legal
     disclaimer)". 21 files have unknown license. Detailed output of
     licensecheck in
     /home/lyes/Documents/reviews/1830870-wdisplays/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
     Note: This will be resolved 
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor(kgraphviewer, pdfmod, freedroidrpg, wesnoth-
     data, qmmp, fedora-logos, redeclipse, vacuum-im, massif-visualizer,
     mono-tools, tuxanci, xchm, qtl866, hicolor-icon-theme, android-file-
     transfer, autokey-common, qucs, nedit),
     /usr/share/icons/hicolor/scalable(pdfmod, eom, freedroidrpg, qmmp,
     fedora-logos, keepassx, dxf2gcode, massif-visualizer, tuxanci, qtl866,
     hicolor-icon-theme, autokey-common, qucs, lxqt-powermanagement),
     /usr/share/icons/hicolor/scalable/apps(pdfmod, eom, freedroidrpg,
     qmmp, fedora-logos, keepassx, dxf2gcode, massif-visualizer, tuxanci,
     gtatool-gui, qtl866, hicolor-icon-theme, autokey-common, qucs)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
     Note: Remove the .fc31 and .fc31.wef from the release.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     Note: Add hicolor-icon-theme.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wdisplays-0.9-0.2.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-debuginfo-0.9-0.2.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-debugsource-0.9-0.2.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-0.9-0.2.20200504git0faafdc.fc33.src.rpm
wdisplays.x86_64: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.x86_64: W: spelling-error Summary(en_US) wlroots -> roots
wdisplays.x86_64: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wdisplays.x86_64: W: incoherent-version-in-changelog 0.9-0.2.20200504git.0faafdc ['0.9-0.2.20200504git0faafdc.fc33', '0.9-0.2.20200504git0faafdc']
wdisplays.x86_64: W: no-manual-page-for-binary wdisplays
wdisplays.src: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.src: W: spelling-error Summary(en_US) wlroots -> roots
wdisplays.src: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.src: W: spelling-error %description -l en_US wlr -> war, SLR
4 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wdisplays-debuginfo-0.9-0.2.20200504git0faafdc.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wdisplays.x86_64: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.x86_64: W: spelling-error Summary(en_US) wlroots -> roots
wdisplays.x86_64: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wdisplays.x86_64: W: incoherent-version-in-changelog 0.9-0.2.20200504git.0faafdc ['0.9-0.2.20200504git0faafdc.fc33', '0.9-0.2.20200504git0faafdc']
wdisplays.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
wdisplays.x86_64: W: no-manual-page-for-binary wdisplays
wdisplays-debuginfo.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
wdisplays-debugsource.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 4 Bob Hepple 2020-05-05 05:14:01 UTC
Thanks Lyes,

The point about desktop-file-install is indeed a surprise. I've implemented that instead of the patch, as suggested.

I decided to go with the Conflicts: stanza after all. I still feel the urge to use 'Requires:' but I'll try and study my way clear of that!

SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01367291-wdisplays/wdisplays.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wdisplays/fedora-31-x86_64/01367291-wdisplays/wdisplays-0.9-0.3.20200504git0faafdc.fc31.src.rpm

Comment 5 Lyes Saadi 2020-05-05 05:23:46 UTC
Hi!

Thank you for your quick answer!

Did you forget to add hicolor-icon-theme or is there a reason why you prefer not adding it?

Comment 7 Lyes Saadi 2020-05-05 13:29:41 UTC
Package approved :D!

Sorry for my late answer, I was sleeping...

Just for good form (as some element weren't evaluated, as I was waiting for others to be fixed in order to pass):

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated", "NTP License (legal
     disclaimer)". 21 files have unknown license. Detailed output of
     licensecheck in
     /home/lyes/Documents/reviews/1830870-wdisplays/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: hicolor-icon-theme is required.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor(fedora-logos, autokey-common, mono-tools,
     massif-visualizer, tuxanci, pdfmod, freedroidrpg, android-file-
     transfer, vacuum-im, kgraphviewer, qtl866, redeclipse, qucs, xchm,
     hicolor-icon-theme, qmmp, nedit, wesnoth-data),
     /usr/share/icons/hicolor/scalable(fedora-logos, autokey-common, eom,
     dxf2gcode, lxqt-powermanagement, massif-visualizer, keepassx, tuxanci,
     freedroidrpg, qtl866, qucs, hicolor-icon-theme, qmmp, pdfmod),
     /usr/share/icons/hicolor/scalable/apps(fedora-logos, autokey-common,
     eom, dxf2gcode, massif-visualizer, tuxanci, keepassx, freedroidrpg,
     gtatool-gui, qtl866, qucs, hicolor-icon-theme, qmmp, pdfmod)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wdisplays-0.9-0.4.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-debuginfo-0.9-0.4.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-debugsource-0.9-0.4.20200504git0faafdc.fc33.x86_64.rpm
          wdisplays-0.9-0.4.20200504git0faafdc.fc33.src.rpm
wdisplays.x86_64: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.x86_64: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wdisplays.x86_64: W: no-manual-page-for-binary wdisplays
wdisplays.src: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.src: W: spelling-error Summary(en_US) wlroots -> roots
wdisplays.src: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.src: W: spelling-error %description -l en_US wlr -> war, SLR
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wdisplays-debuginfo-0.9-0.4.20200504git0faafdc.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wdisplays.x86_64: W: spelling-error Summary(en_US) configurator -> configuration, confiscator, figuration
wdisplays.x86_64: W: spelling-error %description -l en_US kanshi -> kinship
wdisplays.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wdisplays.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
wdisplays.x86_64: W: no-manual-page-for-binary wdisplays
wdisplays-debugsource.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
wdisplays-debuginfo.x86_64: W: invalid-url URL: https://github.com/cyclopsian/wdisplays <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 8 Bob Hepple 2020-05-05 22:50:10 UTC
Thanks Lyes!

I've requested repos ...

Comment 9 Gwyn Ciesla 2020-05-06 14:14:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wdisplays

Comment 10 Fedora Update System 2020-05-06 22:25:04 UTC
FEDORA-2020-fd6bac8065 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd6bac8065

Comment 11 Fedora Update System 2020-05-06 22:45:06 UTC
FEDORA-2020-f1bc3a1e88 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f1bc3a1e88

Comment 12 Fedora Update System 2020-05-07 05:21:14 UTC
FEDORA-2020-f1bc3a1e88 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-f1bc3a1e88 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f1bc3a1e88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-07 06:29:24 UTC
FEDORA-2020-fd6bac8065 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fd6bac8065 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd6bac8065

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-15 02:35:57 UTC
FEDORA-2020-f1bc3a1e88 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-15 03:28:52 UTC
FEDORA-2020-fd6bac8065 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.